import { css } from "@linaria/core";
import { defineComponent } from "vue";
import { useAuth } from "../..";
import LoginBox from "./LoginBox";

export default defineComponent({
  setup(props, { slots }) {
    const auth = useAuth();
    const layoutStyle = auth.helper.createBgStyle(
      auth.config.layout?.background
    );

    return () => (
      <div class={pageRoot} style={layoutStyle}>
        <LoginBox>{slots.default?.()}</LoginBox>
      </div>
    );
  },
});

const pageRoot = css`
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  background-color: @inf-layout-bg;
`;
